Skip to main content

Show Customer

Introduction

The ShowCustomer feature is made for use in brick stores in combination with a POS system. When the customer card is scanned, the POS system will send a POST to Agent Inbox which will open a conversation.

Show customer

POST https://api.robinhq.com/showcustomer

Response codes​

CodeDescription
201Created
400Bad Request
401Invalid authorisation data
Request body
{
"user_email_address": "[email protected]",
"customer": {
"email_address": "[email protected]",
"phone_number": "+31612345678",
"external_identifier": "customer_1234"
}
}

Request schema​

NameTypeRequiredDescription
user_email_addressStringNoEmail address of the Agent Inbox agent that will receive the notification
customerObjectYesCustomer to search. Contains an email address and a phone number. At least one of them must be provided
email_addressStringNoEmail address of the customer to lookup
phone_numberStringNoPhone number of the customer to look up.
external_identifierStringNo...